Previously compiled program executing under CA Easytrieve release 11.x gets these errors: *******A021 SELECTABLE UNIT IS NOT AVAILABLE - DLI ******* A014 PREMATURE TERMINATION DUE TO PREVIOUS ERROR(S)

Document ID : KB000054526
Last Modified Date : 14/02/2018
Show Technical Document Details

Desecription:

If a program is compiled under a release of CA Easytrieve Plus prior to release 6.4 and then run under CA Easytrieve release 11.x, then "A021 Selectable Unit is not Available" error can occur.

Solution:

The solution is to run the JOB0764L found in the CA Easytrieve release 11.x SAMPLIB library.
This job performs link edits necessary for use of the CA Easytrieve Runtime Compatibility functionality which is delivered with CA Easytrieve release 11.x.

This job Link Edits EZTPA00 with IDMS and/or IMS if necessary.